Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression
Class ExpressionInvocationTargetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.expression.ExpressionException
                      org.springframework.expression.EvaluationException
                          org.springframework.expression.ExpressionInvocationTargetException

All Implemented Interfaces:
  java.io.Serializable

    public class ExpressionInvocationTargetException

extends EvaluationException

This exception wraps (as cause) a checked exception thrown by some method that SpEL invokes. It differs from a SpelEvaluationException because this indicates the occurrence of a checked exception that the invoked method was defined to throw. SpelEvaluationExceptions are for handling (and wrapping) unexpected exceptions.

Since:
  3.0.3
Author:
  Andy Clement
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.springframework.expression.ExpressionException
`expressionString, position`

Constructor Summary
`ExpressionInvocationTargetException(int position, java.lang.String message)`
`ExpressionInvocationTargetException(int position, java.lang.String message, java.lang.Throwable cause)`
`ExpressionInvocationTargetException(java.lang.String message)`
`ExpressionInvocationTargetException(java.lang.String expressionString, java.lang.String message)`
`ExpressionInvocationTargetException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class org.springframework.expression.ExpressionException
`getExpressionString, getPosition, toDetailedString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpressionInvocationTargetException

    public ExpressionInvocationTargetException(int position,
                                               java.lang.String message,
                                               java.lang.Throwable cause)

### ExpressionInvocationTargetException

    public ExpressionInvocationTargetException(int position,
                                               java.lang.String message)

### ExpressionInvocationTargetException

    public ExpressionInvocationTargetException(java.lang.String expressionString,
                                               java.lang.String message)

### ExpressionInvocationTargetException

    public ExpressionInvocationTargetException(java.lang.String message,
                                               java.lang.Throwable cause)

### ExpressionInvocationTargetException

    public ExpressionInvocationTargetException(java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD